package cn.com.ty.lift.ud.pay.enums;

/**
 * 公共参数回调枚举类
 * 
 * @author IyesKing
 * @Date 2020年6月5日
 */
public enum PassbackEnum {

    /** 问诊订单回调 */
    LIFT_CASE_PAY(1, "问诊消费"),
    /** 出诊订单回调 */
    LIFT_CALL_PAY(3, "出诊消费"),
    /** 充值回调 */
    RECHARGE_PAY(2, "充值"),
    /** 题库打赏 */
    REWARD_PAY(4, "题库打赏"),
    /** 视频打赏 */
    VIDEO_PAY(5, "视频打赏"),
    /** 用户充值成为VIP */
    RECHARGE_VIP_PAY(6, "用户充值成为VIP");

    private Integer code;

    private String name;

    private PassbackEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
